%define	major		0
%define libname		%mklibname jbig2dec %{major}
%define develname	%mklibname jbig2dec -d

Summary:	A decoder implementation of the JBIG2 image compression format
Name:		jbig2dec
Version:	0.19
Release:	%mkrel 4
License:	GPLv2
Group:		Graphics/Utilities
URL:		https://jbig2dec.com/
Source0:	https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs9530/%{name}-%{version}.tar.gz
Patch2:		jbig2dec-0.11-automake-1.13.patch
Patch6:		1001_ignore_python_test.patch
Patch8:		2001_disable_memento.patch
Patch9:		2002_abi_compat.patch
#
# From git upstream (https://github.com/ArtifexSoftware/ghostpdl/commits/master/jbig2dec) from 100.
Patch100:	https://github.com/ArtifexSoftware/ghostpdl/commit/63281fa98f6df0864315a9fc78ef436a6d96f90a.patch
Patch101:	https://github.com/ArtifexSoftware/ghostpdl/commit/bac9c5d2ed82390da058653afbac0d9e29e9bd3f.patch
Patch102:	https://github.com/ArtifexSoftware/ghostpdl/commit/69c909b087376970d24e92e7b479f1981b94f070.patch
Patch103:	https://github.com/ArtifexSoftware/ghostpdl/commit/6de7fee9b74fc0a1c6f45c064ed40474df899efc.patch
Patch104:	https://github.com/ArtifexSoftware/ghostpdl/commit/ffb8660d1ebe521033ac555775748a3c3cc8ead5.patch
Patch105:	https://github.com/ArtifexSoftware/ghostpdl/commit/61fa8918ef80fc8d445b547dd1d784aeee32366c.patch
Patch106:	https://github.com/ArtifexSoftware/ghostpdl/commit/d718fe7384c02f8715ba6eb5eaf6ae4ded552346.patch
Patch107:	https://github.com/ArtifexSoftware/ghostpdl/commit/5c6374daac90eff962114b3a93fdc3214574f04c.patch
#
BuildRequires:	automake

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

%package -n	%{libname}
Summary:	A decoder implementation of the JBIG2 image compression format
Group:          System/Libraries

%description -n	%{libname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package provides the shared jbig2dec library.

%package -n	%{develname}
Summary:	Static library and header files for development with jbig2dec
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	jbig2dec-devel = %{version}-%{release}

%description -n	%{develname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package is only needed if you plan to develop or compile applications
which requires the jbig2dec library.

%prep
%setup -q
%autopatch -p1

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build
./autogen.sh

%configure --disable-static

%make_build

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/jbig2dec
%{_mandir}/man1/jbig2dec.1*

%files -n %{libname}
%doc CHANGES COPYING LICENSE README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Oct 17 2022 ghibo <ghibo> 0.19-4.mga9
+ Revision: 1897299
- Add %%check section

* Mon Oct 17 2022 ghibo <ghibo> 0.19-3.mga9
+ Revision: 1897234
- Merge upsteam patches from ghostscript-10.0's bundled jbig2dec

* Tue Mar 15 2022 umeabot <umeabot> 0.19-2.mga9
+ Revision: 1792913
- Mageia 9 Mass Rebuild

* Sat Sep 12 2020 daviddavid <daviddavid> 0.19-1.mga8
+ Revision: 1624886
- new version: 0.19

* Sun May 24 2020 daviddavid <daviddavid> 0.18-2.mga8
+ Revision: 1587314
- add debian patch to restore ABI compatibility (mga#26668)

* Fri May 08 2020 daviddavid <daviddavid> 0.18-1.mga8
+ Revision: 1581719
- new version: 0.18, fixes CVE-2020-12268 (mga#26601)

* Mon Feb 17 2020 umeabot <umeabot> 0.17-2.mga8
+ Revision: 1537642
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 05 2019 ns80 <ns80> 0.17-1.mga8
+ Revision: 1457909
- new version 0.17

* Sun Jul 07 2019 daviddavid <daviddavid> 0.16-1.mga8
+ Revision: 1419300
- new version: 0.16

* Tue Dec 25 2018 daviddavid <daviddavid> 0.15-1.mga7
+ Revision: 1344970
- new version: 0.15
- rediff 2001_disable_memento patch
- disable static libraries

* Sun Sep 23 2018 umeabot <umeabot> 0.14-2.mga7
+ Revision: 1298361
- Mageia 7 Mass Rebuild

* Thu Dec 28 2017 luigiwalser <luigiwalser> 0.14-1.mga7
+ Revision: 1186210
- 0.14 (fixes CVE-2017-9216)
- remove upstream patches

* Sun Jun 04 2017 luigiwalser <luigiwalser> 0.13-3.mga6
+ Revision: 1106662
- add patch from fedora to fix CVE-2017-797[56] and CVE-2017-7885

* Tue Apr 25 2017 neoclust <neoclust> 0.13-2.mga6
+ Revision: 1097302
-  Add patches cherry-picked upstream to squash signed/unsigned
   warnings and to fix warning for always-false unsigned < 0 tests.
   CVE-2016-9601
   Closes: mga#20565. Thanks to Salvatore Bonaccorso.

* Wed May 25 2016 luigiwalser <luigiwalser> 0.13-1.mga6
+ Revision: 1018452
- 0.13

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.12-1.mga6
+ Revision: 918442
- 0.12
- remove patch 1 (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 0.11-7.mga5
+ Revision: 746807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 680662
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-5.mga4
+ Revision: 506212
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.11-4.mga3
+ Revision: 354875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.11-3.mga3
+ Revision: 340562
- fix RPM group
- fix for automake 1.13

* Sat Jan 15 2011 blino <blino> 0.11-2.mga1
+ Revision: 19224
- remove old ldconfig scriptlets
- imported package jbig2dec


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.11-1mdv2011.0
+ Revision: 627601
- 0.11

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-4mdv2011.0
+ Revision: 606076
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10-3mdv2010.1
+ Revision: 519824
- rebuild

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 0.10-2mdv2010.0
+ Revision: 459916
- Force rebuild

* Tue Oct 27 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2010.0
+ Revision: 459475
- import jbig2dec


* Tue Oct 27 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2010.0
- initial Mandriva package
